<?xml version="1.0" encoding="UTF-8"?>       
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	
	<xsl:include href="ReportLabelsVars.xslt"/>

	<!-- Declare some variable -->
		
	<xsl:variable name="oldLocation" select="//Location/OldText"/>       
	
	<xsl:variable name="newLocation" select="//Location/NewText"/>
	        
	<xsl:variable name="oldLabel" select="//Label/OldText"/>      
	
	<xsl:variable name="newLabel" select="//Label/NewText"/>	
	
	<xsl:variable name="BaselineList" select="//@BaselineList"/> 		
	
	<xsl:variable name="rptDocsLbl">
  		<xsl:text>**Documents</xsl:text>
  	</xsl:variable>	

	<xsl:variable name="rptViewsLbl">
  		<xsl:text>**Views</xsl:text>
  	</xsl:variable>	  	  	  	
  	
	<xsl:variable name="rptBaseLineData">	
  		<xsl:text>**Baseline Data</xsl:text>
  	</xsl:variable>	  	
  	
	<xsl:variable name="rptPackageTagLbl">
  		<xsl:text>**Package Tag</xsl:text>
  	</xsl:variable>	  	  	

	<xsl:variable name="rptParentPackageLbl">
  		<xsl:text>**Parent Package</xsl:text>
  	</xsl:variable>		
  	
	<xsl:variable name="rptChildPackagesLbl">
  		<xsl:text>**Child Packages</xsl:text>
  	</xsl:variable>	  	
	
	<!-- End variable declaration-->
                        	       
	<xsl:template match="PROJECT">	
	
			<html>
			<head>
				<LINK 
				    REL="StyleSheet" 
				    TYPE="text/css" 
				    HREF="Style_Main.css"/>
				<title>
				<xsl:value-of select="$rptTitle"/>
				</title>
			</head>
			<body>	
		
		<table border="0" width="100%">
		  <tr>
		    <td width="100%">
		    	<font class="SectionHeading">
		    		<xsl:value-of select="$rptBaselinesLbl"/>
		    	</font>
		    </td>
		  </tr>
		  <tr>
		  </tr>
		</table>

		<!-- Start Baseline Section -->
		<table border="1" width="100%" height="99">
		  <tr>
		    <th width="10%" height="19">
		    	<xsl:value-of select="$rptBaseLineData"/>
		    </th>
		    <th width="45%" height="19">
		    	<xsl:value-of select="$firstBaseline"/>
		    </th>
		    <th width="45%" height="19">
		    	<xsl:value-of select="$secondBaseline"/>
		    </th>
		  </tr>		
		  <tr>
		    <td>
		    	<xsl:value-of select="$rptBaselineLoc"/>
		    </td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="$oldLocation"/> 
		    </td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			    <xsl:value-of select="$newLocation"/>
		    </td>
		  </tr>		  
		  <tr>
		    <td>
		    	<xsl:value-of select="$rptBaselineLabelLbl"/>
		    </td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="$oldLabel"/> 
		    </td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			    <xsl:value-of select="$newLabel"/>
		    </td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:value-of select="$rptTimeStampLbl"/> 
		  	</td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="TimeStamp/OldText"/>
		    </td>
		    <td width="50%" height="19"> 
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="TimeStamp/NewText"/>
		    </td>
		  </tr>
		</table>
		<!-- End Baseline Section -->
		
		<!-- Start Package Section -->
		
		<table border="0" width="100%">
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		    <td width="100%">
				<font class="SectionHeading">
					<xsl:value-of select="$rptPkgLbl"/>
				</font>
			</td>
		  </tr>
		  <tr>
		  </tr>
		</table>
		
		<table border="1" width="100%">		  
		  <tr>
		    <th width="20%"><xsl:value-of select="$rptPackageTagLbl"/></th>
		    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
		    <th width="20%">
		    	<xsl:value-of select="$firstBaseline"/> 
		    </th>
		    <th width="20%">
		    	<xsl:value-of select="$secondBaseline"/>
		    </th>
		  </tr>
		  		  
		  <xsl:apply-templates select="Pkg"/>
		  
		</table>				
		
		<!-- End Package Section -->
		
		<!-- Start Child Package Section this needs only to be done if there is a pkgs node-->
		<xsl:if test="string-length(//Pkgs/Pkg/GUID)>0"> 
			<table border="0" width="100%">
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			    <td width="100%">
					<font class="SectionHeading">
						<xsl:value-of select="$rptChildPackagesLbl"/>
					</font>
				</td>
			  </tr>
			  <tr>
			  </tr>
			</table>
			
			<table border="1" width="100%">		  
			  <tr>
			    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
			    <th width="20%">
			    	<xsl:value-of select="$rptReqName1Lbl"/> 
			    </th>
			    <th width="20%">
			    	<xsl:value-of select="$rptReqName2Lbl"/> 
			    </th>			    
			    <!-- no description for now
			    <th width="20%">
			    	<xsl:value-of select="$firstBaseline"/>
			    </th>
				<th width="20%">
			    	<xsl:value-of select="$secondBaseline"/>
			    </th>			    			    
			    -->
			  </tr>
			  		  
			 <xsl:apply-templates select="Pkg/Pkgs/Pkg"/>
			  
			</table>		
		</xsl:if>
		<!-- End the Child Package Section -->			
							
		<!-- Start Documents Section this needs only to be done if there is a docs node-->
		<xsl:if test="string-length(//Docs/Doc/GUID)>0"> 
			<table border="0" width="100%">
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			    <td width="100%">
					<font class="SectionHeading">
						<xsl:value-of select="$rptDocsLbl"/>
					</font>
				</td>
			  </tr>
			  <tr>
			  </tr>
			</table>
			
			<table border="1" width="100%">		  
			  <tr>
			    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
			    <th width="20%">
			    	<xsl:value-of select="$rptDocNameLbl"/> 
			    </th>
			    <th width="20%">
			    	<xsl:value-of select="$rptDescLbl"/>
			    </th>
			  </tr>
			  		  
			  <xsl:apply-templates select="Pkg/Docs/Doc"/>
			  
			</table>		
		</xsl:if>
		<!-- End the document section -->	

		<!-- Start Views Section this needs only to be done if there is views node-->
		<xsl:if test="string-length(//Views/View/GUID)>0"> 
			<table border="0" width="100%">
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			    <td width="100%">
					<font class="SectionHeading">
						<xsl:value-of select="$rptViewsLbl"/>
					</font>
				</td>
			  </tr>
			  <tr>
			  </tr>
			</table>
			
			<table border="1" width="100%">		  
			  <tr>
			    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
				<th ALIGN="LEFT"><xsl:value-of select="$rptReqName1Lbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptReqName2Lbl"/></th>
			    <th ALIGN="LEFT">
			    	<xsl:value-of select="$firstBaseline"/> 
			    </th>
			    <th ALIGN="LEFT">
			    	<xsl:value-of select="$secondBaseline"/>
			    </th>			    
			  </tr>
			  		  
			  <xsl:apply-templates select="Pkg/Views/View"/>
			  
			</table>		
		</xsl:if>
		<!-- End the view section -->	
			
		<!-- Start the Requirements section -->
		<!--<xsl:if test="string-length(@BaselineList)!=1"> -->
		<xsl:if test="string-length($BaselineList)!=1"> 
		
		<table border="0" width="100%">
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		    <td width="100%">
				<font class="SectionHeading">
					<xsl:value-of select="$rptReqsLbl"/>
				</font>
			</td>
		  </tr>
		  <tr>
		  </tr>
		  
		</table>
		
		<table border="1" width="100%">		  
		  <tr>
			<th ALIGN="LEFT"><xsl:value-of select="$rptReqTagLbl"/></th>
		    <th ALIGN="LEFT"><xsl:value-of select="$diffLbl"/></th>
		    <th ALIGN="LEFT"><xsl:value-of select="$rptReqTypeLbl"/></th>
		    <th ALIGN="LEFT"><xsl:value-of select="$rptReqName1Lbl"/></th>
		    <th ALIGN="LEFT"><xsl:value-of select="$rptReqName2Lbl"/></th>
		    <th ALIGN="LEFT">
		    	<xsl:value-of select="$firstBaseline"/> 
		    </th>
		    <th ALIGN="LEFT">
		    	<xsl:value-of select="$secondBaseline"/>
		    </th>
		  </tr>		  		  	
		  
		 <xsl:apply-templates select="//Requirement"/>
		  
		</table>	
		</xsl:if>							
		
		<!-- End the Requirements section -->		
		
		
		<!-- The History section -->
		<xsl:if test="string-length(//ReqVersionInfo/VersionNumber)>0"> 
		<table border="0" width="100%">
			  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		    <td width="100%">
		  		<font class="SectionHeading">
		  			<xsl:value-of select="$rptHistoryLbl"/>
		  		</font>
		  	</td>
		  </tr>
		</table>		
			<table border="1" width="100%" height="82">		  
			  <tr>
				<th ALIGN="LEFT"><xsl:value-of select="$rptReqTagLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVNumLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVUserLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVTimeStampLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVReasonLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVNewLbl"/></th>
			  </tr>		 
			<xsl:apply-templates select="//Requirement/History"/>
			</table>	
		</xsl:if> 			  		  
		<!-- End the History section -->

		<!-- The Discussion section -->
		<xsl:if test="string-length(//Discussion/Subject)>0"> 
			<table border="0" width="100%">
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			    <td width="100%">
			  		<font class="SectionHeading">
			  			<xsl:value-of select="$rptDiscLbl"/>
			  		</font>
			  	</td>
			  </tr>
			</table>		
			<table border="1" width="100%" height="82">		  
			  <tr>
				<th ALIGN="LEFT"><xsl:value-of select="$rptReqTagLbl"/></th>
				<!--
			    <th ALIGN="LEFT"><xsl:value-of select="$rptDiscDepthLbl"/></th>
				<th ALIGN="LEFT"><xsl:value-of select="$diffLbl"/></th>
				-->
			    <th ALIGN="LEFT"><xsl:value-of select="$rptSubjectLbl"/></th>
			    <!--
			    <th ALIGN="LEFT"><xsl:value-of select="$rptDescLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptAuthorLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptDateLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptReadByLbl"/></th>
			    -->
			  </tr>		 
			 <xsl:apply-templates select="//Requirement/Discussions"/>
			</table>	
		</xsl:if> 			  		  
		<!-- End the Discussion section -->		
			
			</body>
			</html>		
	</xsl:template>						
	
	<!-- End of Header section, start detail section -->
	
	<!-- Start the Package Info -->		
	<xsl:template match="Pkg">		
	
		<!-- Name -->
		<tr>
			<td width="20%"><xsl:value-of select="$rptDocNameLbl"/></td>
			<td width="20%">				
				<xsl:choose> 					
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	          		
					<xsl:when test="string-length(PkgName/NewText)>0"> 
						<xsl:value-of select="$modified"/>	       	
		          	</xsl:when>		          	 		          		
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>
					</xsl:otherwise> 	          		 	
		      	</xsl:choose>					
		    </td>
			<td width="20%">		
				<xsl:choose> 
					<!-- for inserted Pkg we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="PkgName/OldText"/>	
					</xsl:otherwise> 	
		      	</xsl:choose>																										
			</td>
			<td width="20%">
				<xsl:choose> 
					<!-- for deleted Pkg we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(PkgName/NewText)>0"> 
						<xsl:apply-templates select="PkgName/NewText"/>         	
		          	</xsl:when> 		          		
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="PkgName/OldText"/>	
					</xsl:otherwise> 	
			      </xsl:choose>								
			</td>				 			     					
		</tr>			
		
		<!-- Description -->
		<tr>
			<td width="20%"><xsl:value-of select="$rptDescLbl"/></td>
			<td width="20%">				
				<xsl:choose> 					
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	          		
					<xsl:when test="string-length(PkgDescription/NewText)>0"> 
						<xsl:value-of select="$modified"/>	       	
		          	</xsl:when>		          	 		          		
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>
					</xsl:otherwise> 	          		 	
		      	</xsl:choose>					
		    </td>
			<td width="20%">		
				<xsl:choose> 
					<!-- for inserted Pkg we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="PkgDescription/OldText"/>	
					</xsl:otherwise> 	
		      	</xsl:choose>																										
			</td>
			<td width="20%">
				<xsl:choose> 
					<!-- for deleted Pkg we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(PkgDescription/NewText)>0"> 
						<xsl:apply-templates select="PkgDescription/NewText"/>         	
		          	</xsl:when> 		          		
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="PkgDescription/OldText"/>	
					</xsl:otherwise> 	
			      </xsl:choose>								
			</td>				 			     					
		</tr>					
		
		<!-- Parent Package -->
		<!-- $$ need to chage this when Bala updates the XML to include Parent Package Name -->
		<tr>
			<td width="20%"><xsl:value-of select="$rptParentPackageLbl"/></td>
			<td width="20%">				
				<xsl:choose> 					
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	          		
					<xsl:when test="string-length(PkgDescription/NewText)>0"> 
						<xsl:value-of select="$modified"/>	       	
		          	</xsl:when>		          	 		          		
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>
					</xsl:otherwise> 	          		 	
		      	</xsl:choose>					
		    </td>
			<td width="20%">		
				<xsl:choose> 
					<!-- for inserted Pkg we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="PkgDescription/OldText"/>	
					</xsl:otherwise> 	
		      	</xsl:choose>																										
			</td>
			<td width="20%">
				<xsl:choose> 
					<!-- for deleted Pkg we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(PkgDescription/NewText)>0"> 
						<xsl:apply-templates select="PkgDescription/NewText"/>         	
		          	</xsl:when> 		          		
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="PkgDescription/OldText"/>	
					</xsl:otherwise> 	
			      </xsl:choose>								
			</td>				 			     					
		</tr>					

	</xsl:template>
	<!-- end the Package Info -->								
		
	<!-- Start the Child Package Info -->	
	<xsl:template match="Pkg/Pkgs/Pkg">		
	
		<tr>			
			<td width="20%">				
				<xsl:choose> 					
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when>
	          		<xsl:when test="string-length(PkgName/NewText)>0"> 
						<xsl:value-of select="$modified"/>	       	
		          	</xsl:when>		 	          								          	 		          		
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>
					</xsl:otherwise> 	          		 	
		      	</xsl:choose>					
		    </td>
			<td width="20%">		
				<xsl:choose> 
					<!-- for inserted Views we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="PkgName/OldText"/>	
					</xsl:otherwise> 	
		      	</xsl:choose>																										
			</td>
			<td width="20%">
				<xsl:choose> 
					<!-- for deleted Views we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(PkgName/NewText)>0"> 
						<xsl:apply-templates select="PkgName/NewText"/>         	
		          	</xsl:when> 		          		
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="PkgName/OldText"/>	
					</xsl:otherwise> 	
			      </xsl:choose>								
			</td>		
			
			<!-- $$ need to add the pkg description here -->	 				    				 			     			
		</tr>		
	</xsl:template>		
	<!-- End the Child Package Info -->
	
	<!-- Start the Doc Info -->	
	<xsl:template match="Pkg/Docs/Doc">		
	
		<tr>			
			<td width="20%">				
				<xsl:choose> 					
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	          								          	 		          		
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>
					</xsl:otherwise> 	          		 	
		      	</xsl:choose>					
		    </td>
			<td width="20%">		
				<xsl:apply-templates select="DocName/OldText"/>																														
			</td>
			<td width="20%">				
				<xsl:choose> 
						<xsl:when test="string-length(DocDescription/OldText)>0"> 
							<xsl:apply-templates select="DocDescription/OldText"/>         	
			          	</xsl:when>		          	 		          		
		          		<xsl:otherwise> 						
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
						</xsl:otherwise>
				</xsl:choose>										
			</td>				 			     					
		</tr>		
	</xsl:template>	
	<!-- End the Doc Info -->	

	<!-- Start the View Info -->		
	<xsl:template match="Pkg/Views/View">
					
		<tr>			
			<td width="20%">
				<xsl:choose> 					
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	          		
					<xsl:when test="string-length(ViewName/NewText)>0"> 
						<xsl:value-of select="$modified"/>	       	
		          	</xsl:when>		          	 		          		
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>
					</xsl:otherwise> 	          		 	
		      	</xsl:choose>					
		    </td>
			<td width="20%">		
				<xsl:choose> 
					<!-- for inserted Views we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="ViewName/OldText"/>	
					</xsl:otherwise> 	
		      	</xsl:choose>																										
			</td>
			<td width="20%">
				<xsl:choose> 
					<!-- for deleted Views we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(ViewName/NewText)>0"> 
						<xsl:apply-templates select="ViewName/NewText"/>         	
		          	</xsl:when> 		          		
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="ViewName/OldText"/>	
					</xsl:otherwise> 	
			      </xsl:choose>								
			</td>				 			     					
			<td width="20%">		
				<xsl:choose> 
					<!-- for inserted Views we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(ViewDescription/OldText)>0"> 
						<xsl:apply-templates select="ViewDescription/OldText"/>         	
		          	</xsl:when> 		          	
	          		<xsl:otherwise> 						
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
					</xsl:otherwise> 	          		
		      	</xsl:choose>																										
			</td>
			<td width="20%">
				<xsl:choose> 
					<!-- for deleted Views we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(ViewDescription/NewText)>0"> 
						<xsl:apply-templates select="ViewDescription/NewText"/>         	
		          	</xsl:when> 		          		
					<xsl:when test="string-length(ViewDescription/OldText)>0"> 
						<xsl:apply-templates select="ViewDescription/OldText"/>         	
		          	</xsl:when> 		          	
	          		<xsl:otherwise> 						
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
					</xsl:otherwise> 	
			      </xsl:choose>								
			</td>					
		</tr>			
			
	</xsl:template>
	<!-- end the View Info -->
	
	<!-- Start the Req Info -->	
	<xsl:include href="Requirements.xsl"/>
	
</xsl:stylesheet>	